#

include(`dict.h')
include(`KERcalls.h')

/*
 *       SCCS File Type - Emulator Source File
 *
 *       What identification string
 */
static char *_S_K25	"@(#)EM_K25.c	3.1";
	/****************************************************************/
	/*
	 *      K_set_object_level
	 */


/*
 *      K_set_object_level (
 *          1   objSeid,  : seid       : long     (* object SEID *)
 *          2  &level,    : tii_struct : struct   (* object TII  *)
 *              )
 */

K_set_object_level( PobjSeid, PlevelP )
	seid            PobjSeid;
	tii_struct      *PlevelP;
{

	struct  {       /* Ksetol_param */
			seid            o_seid; /* const */
			tii_struct      level;  /*const*/
		}pb;



	pb.o_seid = PobjSeid;

	st_copy(PlevelP, &pb.level, sizeof(tii_struct) );

	return( EMT25(&pb) );
}



